Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt
Class JPicEdt.PageFormatAction

    java.lang.Object
      javax.swing.AbstractAction
          jpicedt.graphic.toolkit.PEAction
              jpicedt.JPicEdt.PageFormatAction

All Implemented Interfaces:
  Action, ActionListener, Cloneable, EventListener, Serializable

Enclosing class:
  JPicEdt

public static class JPicEdt.PageFormatAction
extends PEAction

Set the format of the currently active board

Since:
  PicEdt 1.2.1
See Also:
  Serialized Form

Field Summary
`static String` | `KEY`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`JPicEdt.PageFormatAction()`

Method Summary
`void` | `actionPerformed(ActionEvent e)` This is a default implementation of the "actionPerformed" method suited for undoable actions : we first call "beginUndoableUpdate" with "actionName" as the presentation name, then delegate to "undoableActionPerformed", finally mark the undoable-update as ended.

Methods inherited from class jpicedt.graphic.toolkit.PEAction
`getCanvas, getDrawing, getEditorKit, getSelectedObject, setAttribute, undoableActionPerformed`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY

    public static final String KEY

See Also:
  Constant Field Values

Constructor Detail

### JPicEdt.PageFormatAction

    public JPicEdt.PageFormatAction()

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Description copied from class: `PEAction`
  This is a default implementation of the "actionPerformed" method suited for undoable actions : we first call "beginUndoableUpdate" with "actionName" as the presentation name, then delegate to "undoableActionPerformed", finally mark the undoable-update as ended.

  Action that don't want to be undoable should simply override this method as usual.

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Overrides:
    `actionPerformed` in class `PEAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org